var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { makeStyles } from '@mui/styles';
var highlightBeforeStyles = {
    content: '""',
    position: 'absolute',
    left: '-1000px',
    top: '-4px',
    width: '5000px',
    height: 'calc(100% + 8px)',
    animationName: '$highlightAnimation',
    animationDuration: '2s',
    animationIterationCount: 1,
    opacity: 0
};
export var useStyles = makeStyles(function () { return ({
    '@keyframes highlightAnimation': {
        '0%': { opacity: 0 },
        '50%': { opacity: 1 },
        '100%': { opacity: 0 }
    },
    highlighted: {
        '&::before': __assign(__assign({}, highlightBeforeStyles), { background: 'rgba(228, 151, 0, 0.08)' }),
        position: 'relative'
    }
}); });
